/* proparse/api/loaddb2.p

Loads the schema for DICTDB

*/

DEFINE VARIABLE i1          AS INTEGER NO-UNDO.

RUN schemaAddDb (LOWER(LDBNAME("DICTDB")), OUTPUT i1).
FOR EACH DICTDB._file WHERE _file._tbl-type = "T":U NO-LOCK BY _file._file-name:
  RUN schemaAddTable (LOWER(DICTDB._file._file-name), OUTPUT i1).
END.


PROCEDURE schemaAddDb EXTERNAL "proparse.dll" CDECL:
  DEFINE INPUT PARAMETER name AS CHARACTER.
  DEFINE RETURN PARAMETER theReturn AS LONG.
END.
PROCEDURE schemaAddTable EXTERNAL "proparse.dll" CDECL:
  DEFINE INPUT PARAMETER name AS CHARACTER.
  DEFINE RETURN PARAMETER theReturn AS LONG.
END.
