/* proparse.i
 * 2001 by John Green, Joanju Limited
 *
 * Forward declare function calls into proparse.p.
 * {1} = handle for persistent procedure proparse.p.
 */

FUNCTION parserAttrGet RETURNS CHARACTER (theHandle AS INTEGER, theKey AS CHARACTER) IN {1}.

FUNCTION parserAttrGetI RETURNS INTEGER (theHandle AS INTEGER, theKey AS INTEGER) IN {1}.

FUNCTION parserAttrSet RETURNS LOGICAL (theHandle AS INTEGER, theKey AS INTEGER, theValue AS INTEGER) IN {1}.

FUNCTION parserAttrStringGet RETURNS CHARACTER (theHandle AS INTEGER, theKey AS INTEGER) IN {1}.

FUNCTION parserAttrStringSet RETURNS LOGICAL (theHandle AS INTEGER, theKey AS INTEGER, theValue AS CHARACTER) IN {1}.

FUNCTION parserConfigGet RETURNS CHARACTER (theFlag AS CHARACTER) IN {1}.

FUNCTION parserConfigSet RETURNS LOGICAL (theFlag AS CHARACTER, theValue AS CHARACTER) IN {1}.

FUNCTION parserCopyHandle RETURNS LOGICAL (fromHandle AS INTEGER, toHandle AS INTEGER) IN {1}.

FUNCTION parserDictAdd RETURNS LOGICAL (theText AS CHARACTER, theType AS CHARACTER) IN {1}.

FUNCTION parserDictDelete RETURNS LOGICAL (theText AS CHARACTER) IN {1}.

FUNCTION parserDiff RETURNS CHARACTER (file1 AS CHARACTER, file2 AS CHARACTER) IN {1}.

FUNCTION parserErrorClear RETURNS LOGICAL IN {1}.

FUNCTION parserErrorGetIsCurrent RETURNS LOGICAL IN {1}.

FUNCTION parserErrorGetStatus RETURNS INTEGER IN {1}.

FUNCTION parserErrorGetText RETURNS CHARACTER IN {1}.

FUNCTION parserGetHandle RETURNS INTEGER IN {1}.

FUNCTION parserGetIndexFilename RETURNS CHARACTER (fileIndex AS INTEGER) IN {1}.

FUNCTION parserGetNodeColumn RETURNS INTEGER (ofHandle AS INTEGER) IN {1}.

FUNCTION parserGetNodeFileIndex RETURNS INTEGER (ofHandle AS INTEGER) IN {1}.

FUNCTION parserGetNodeFilename RETURNS CHARACTER (ofHandle AS INTEGER) IN {1}.

FUNCTION parserGetNodeLine RETURNS INTEGER (ofHandle AS INTEGER) IN {1}.

FUNCTION parserGetNodeText RETURNS CHARACTER (ofHandle AS INTEGER) IN {1}.

FUNCTION parserGetNodeType RETURNS CHARACTER (ofHandle AS INTEGER) IN {1}.

FUNCTION parserGetNodeTypeI RETURNS INTEGER (ofHandle AS INTEGER) IN {1}.

FUNCTION parserGetTokenTypeName RETURNS CHARACTER (tokenTypeNumber AS INTEGER) IN {1}.

FUNCTION parserGetTokenTypeNumber RETURNS INTEGER (tokenTypeName AS CHARACTER) IN {1}.

FUNCTION parserGetVersion RETURNS CHARACTER IN {1}.

FUNCTION parserHiddenAddToFront RETURNS LOGICAL (theHandle AS INTEGER, newType AS CHARACTER, newText AS CHARACTER) IN {1}.

FUNCTION parserHiddenDelete RETURNS LOGICAL (theHandle AS INTEGER) IN {1}.

FUNCTION parserHiddenGetBefore RETURNS LOGICAL (handle AS INTEGER) IN {1}.

FUNCTION parserHiddenGetColumn RETURNS INTEGER IN {1}.

FUNCTION parserHiddenGetFilename RETURNS CHARACTER IN {1}.

FUNCTION parserHiddenGetFirst RETURNS LOGICAL (handle AS INTEGER) IN {1}.

FUNCTION parserHiddenGetLine RETURNS INTEGER IN {1}.

FUNCTION parserHiddenGetNext RETURNS LOGICAL IN {1}.

FUNCTION parserHiddenGetPrevious RETURNS LOGICAL IN {1}.

FUNCTION parserHiddenGetText RETURNS CHARACTER IN {1}.

FUNCTION parserHiddenGetType RETURNS CHARACTER IN {1}.

FUNCTION parserHiddenInsertAfter RETURNS LOGICAL (newType AS CHARACTER, newText AS CHARACTER) IN {1}.

FUNCTION parserHiddenSetText RETURNS LOGICAL (newText AS CHARACTER) IN {1}.

FUNCTION parserHiddenSetType RETURNS LOGICAL (newType AS CHARACTER) IN {1}.

FUNCTION parserInit RETURNS LOGICAL IN {1}.

FUNCTION parserIsSameNode RETURNS LOGICAL (handle1 AS INTEGER, handle2 AS INTEGER) IN {1}.

FUNCTION parserIsValidNode RETURNS LOGICAL (theHandle AS INTEGER) IN {1}.

FUNCTION parserIwdiff RETURNS CHARACTER (file1 AS CHARACTER, file2 AS CHARACTER) IN {1}.

FUNCTION parserNodeCreate RETURNS LOGICAL (intoHandle AS INTEGER, newType AS CHARACTER, newText AS CHARACTER) IN {1}.

FUNCTION parserNodeCreateI RETURNS LOGICAL (intoHandle AS INTEGER, newType AS INTEGER, newText AS CHARACTER) IN {1}.

FUNCTION parserNodeFirstChild RETURNS CHARACTER (ofHandle AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserNodeFirstChildI RETURNS INTEGER (ofHandle AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserNodeNextSibling RETURNS CHARACTER (ofHandle AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserNodeNextSiblingI RETURNS INTEGER (ofHandle AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserNodeParent RETURNS CHARACTER (ofHandle AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserNodePrevSibling RETURNS CHARACTER (ofHandle AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserNodeStateHead RETURNS CHARACTER (ofHandle AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserNodeTop RETURNS CHARACTER (intoHandle AS INTEGER) IN {1}.

FUNCTION parserParse RETURNS LOGICAL (filename AS CHARACTER) IN {1}.

FUNCTION parserParseCreate RETURNS INTEGER (parseType AS CHARACTER, filename AS CHARACTER) IN {1}.

FUNCTION parserParseDelete RETURNS LOGICAL (parseNum AS INTEGER) IN {1}.

FUNCTION parserParseGetTop RETURNS LOGICAL (parseNum AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserQueryClear RETURNS LOGICAL (queryName AS CHARACTER) IN {1}.

FUNCTION parserQueryCreate RETURNS INTEGER
         (fromNode AS INTEGER, queryName AS CHARACTER, nodeType AS CHARACTER) IN {1}.

FUNCTION parserQueryGetResult RETURNS LOGICAL
         (queryName AS CHARACTER, resultNum AS INTEGER, intoHandle AS INTEGER) IN {1}.

FUNCTION parserReleaseHandle RETURNS LOGICAL (theHandle AS INTEGER) IN {1}.

FUNCTION parserSchemaAddDb RETURNS LOGICAL (name AS CHARACTER) IN {1}.

FUNCTION parserSchemaAddTable RETURNS LOGICAL (name AS CHARACTER) IN {1}.

FUNCTION parserSchemaAliasCreate RETURNS LOGICAL (aliasname AS CHARACTER, dbasename AS CHARACTER) IN {1}.

FUNCTION parserSchemaAliasDelete RETURNS LOGICAL (aliasname AS CHARACTER) IN {1}.

FUNCTION parserSchemaClear RETURNS LOGICAL () IN {1}.

FUNCTION parserSetNodeFirstChild RETURNS LOGICAL (parentHandle AS INTEGER, childHandle AS INTEGER) IN {1}.

FUNCTION parserSetNodeNextSibling RETURNS LOGICAL (leftHandle AS INTEGER, rightHandle AS INTEGER) IN {1}.

FUNCTION parserSetNodeText RETURNS LOGICAL (ofHandle AS INTEGER, newText AS CHARACTER) IN {1}.

FUNCTION parserSetNodeType RETURNS LOGICAL (ofHandle AS INTEGER, newType AS CHARACTER) IN {1}.

FUNCTION parserSetNodeTypeI RETURNS LOGICAL (ofHandle AS INTEGER, newType AS INTEGER) IN {1}.

FUNCTION parserWriteNode RETURNS LOGICAL (theHandle AS INTEGER, filename AS CHARACTER) IN {1}.

