/* testrun.p

2001 by John Green, Joanju Limited

This is now just a tag file for calling testrun2.p.

INPUT fileList
      Name of a file containing a list of program names
      (.w, .p, etc). One program name per line. Lines can
      be commented out by inserting lines containing nothing
      but open comment (/*) and closing comment (*/).
INPUT actionProgram
      If non-blank, this program is run. actionProgram might be a query
      that you want to run against the syntax tree.
      It requires three input parameters:
      - a HANDLE to the persistent parser procedure
      - an INTEGER node handle
      - a CHARACTER program name

*/

DEFINE INPUT PARAMETER fileList      AS CHARACTER NO-UNDO.
DEFINE INPUT PARAMETER actionProgram AS CHARACTER NO-UNDO.

DEFINE VARIABLE testrun AS HANDLE NO-UNDO.

RUN proparse/api/testrun2.p PERSISTENT SET testrun.
RUN setFileList IN testrun (fileList).
RUN setActionProgram IN testrun (actionProgram).
RUN setSelfTest IN testrun (FALSE).
RUN main IN testrun.
APPLY "CLOSE":U TO testrun.
